package com.steerinfo.dil.service.impl;

import com.steerinfo.dil.mapper.ShipDynamicsMapper;
import com.steerinfo.dil.service.IShipDynamicsService;
import com.steerinfo.dil.util.DataChange;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.text.SimpleDateFormat;
import java.util.List;
import java.util.Map;

@Service
public class ShipDynamicsServiceImpl implements IShipDynamicsService {
    @Autowired
    ShipDynamicsMapper shipDynamicsMapper;

    private final SimpleDateFormat sdfDateTime = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
    //获取视图里的所有外轮船名，物资名称
    public List<Map<String, Object>> selectAll(Map<String,Object> map) {
        return shipDynamicsMapper.selectAll(map);
    }



    @Override
    public List<Map<String, Object>> selectByshipName(String shipName, String materialName) {
        return shipDynamicsMapper.selectByshipName(shipName,materialName);
    }

    @Override
    public List<Map<String, Object>> getLoadData(Map<String,Object> map){
        String startTime=map.get("startTime")+"";
        String endTime=map.get("endTime")+"";
        DataChange.queryDataByDateTime(startTime, endTime, map, sdfDateTime);//根据时间段查询数据
        return shipDynamicsMapper.getLoadData(map);
    }

    @Override
    public List<Map<String, Object>> getUnloadData(Map<String,Object> map){
        return shipDynamicsMapper.getUnloadData(map);
    }
}
